Get open positions
curl --request GET \
--url https://perps-api.vooi.io/exchange/positions \
--header 'Authorization: Bearer <token>'import requests
url = "https://perps-api.vooi.io/exchange/positions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://perps-api.vooi.io/exchange/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"baseSymbol": "ETH",
"entryPrice": "1850.50",
"exchange": "aster",
"fundingFee": "-3.25",
"isolatedMargin": "1000.00",
"leverage": "25",
"liquidationPrice": "1200.00",
"marginMode": "cross",
"positionSide": "both",
"quoteSymbol": "USDC",
"realizedPnl": "12.50",
"roe": "0.15",
"side": "buy",
"size": "0.001",
"unrealizedPnl": "150.25",
"updatedAt": "2023-11-07T05:31:56Z"
}
]{
"message": "Invalid order id: 123",
"statusCode": 503
}Exchange
Get open positions
GET
/
exchange
/
positions
Get open positions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Supported perpetual exchange
Available options:
aster, binance, bybit, extended, gate, hyperliquid, lighter, mexc, ondo, robinhood Response
Example:
"ETH"
Example:
"1850.50"
Perpetual exchange
Available options:
aster, binance, bybit, extended, gate, hyperliquid, lighter, mexc, ondo, robinhood Cumulative funding fee paid since position open in quote currency
Example:
"-3.25"
Margin allocated to this position created in isolated mode, in quote currency
Example:
"1000.00"
Example:
"25"
Liquidation price in quote currency
Example:
"1200.00"
Margin mode position is opened with
Available options:
isolated, cross Example:
"cross"
Available options:
both, long, short Example:
"USDC"
Example:
"12.50"
Return on equity as a decimal ratio
Example:
"0.15"
Available options:
buy, sell Example:
"0.001"
Unrealized PnL in quote currency
Example:
"150.25"
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$